티스토리 툴바



와우~!! 최악이 자바 재설치였음...

JSP 호스팅 하나 신청한후 테스트하던중... 내가 자바 1.7 베타를 사용하는관계로 인하여,
서버의 자바와 버젼이 맞지않았음.. 따라서 컴파일해서 서버에 올리면 버젼이 틀리다며 에러 발생... 이것을 해결하고자 1.6으로 다운그레이드...

지식인을 하다보면.. 워낙에 재설치 오류가 많다고 하다보니.. 그저 잘되기를 빌었음..
삭제 할때 재부팅 할라고 할때 재부팅해주고 다시 설치하니 설치는 정상작되었음..

하지만, 이클립스 실행후 황당한 증상 발생 ㄷㄷㄷㄷ
모든 클래스의 조상클래스인 Object가 정의 되어 있지 않다는 오류.. 후덜덜했음.. 이거 뭥미??????



보시라.. String 마져 빨간색 오류를 뜨게 해버리는 대박오류.. 후덜덜....






Implicit super constructor Object() is undefined for default constructor. Must define an explicit constructor

위의 오류가 나옴...  이것으로인해 벙쪄서 두시간 헤매다가.. 약속있어서 지식인에 질문 올려놓고 왔으나,, 대답없는 지식인.. 좌절모드 돌입 ㅠ_ㅠ

또 한시간 폭풍좌절 모드에서 이클립스 재설치등 갖가지 방법을 동원하던중..
해결책 발견...





자바를 다운그레이드 했을때.. 모든 프로젝트에 자동 적용 되는게 아니었음..저렇게 빨간색 에러뜨는 프로젝트를 하나하나 선택해서 Build Path를 수정해줘했음.. ㅠ_ㅠ




위의 언바운드 뜨는것을 클릭한후 edit 눌러서 다운그레이드한 버젼에 맞게 고쳐주거나,
디폴트로 선택하면, 오류는 쫘악 사라짐.. 행복감이 밀려왔음..


아래는, web 프로젝의 경우 상황이 또 틀림..
웹 프로젝트의 경우 자바 다운그레이드시에 서버가 작동안함..

오류 내용,,,Project facet Java 1.7 is not supported by target runtime Apache Tomcat v7.0.

해결책:
이것은 위와같이 빌드패쓰가 아닌, 서버의 프로퍼티에 들어가서,
아래처럼 project facet에서 자바버전을 다운그레이드하여 고쳐줘줘야함...




어떻게 보면 쉬운 해결책 같은데...이클립스에서 벙찌게 Object가 정의 되지 않았다고 알려주니... 당혹감만 밀려왔음... 내가 영어만 잘했어도...  이클립스에 편지썻겠는데..
영어를 못하니 그냥 참고 써야지 뭐.. ㅠ_ㅠ 그냥 슬포....
저작자 표시 비영리 변경 금지
Posted by sangmooni